      SUBROUTINE QAURORA(FLUXAR,ALP,ETOTAL)                             
      SAVE
      PARAMETER(KMX=96)
      include "blank.h"
      include "solars.h"
      DATA DELTE/35.E-3/                                                
      PI=3.1415926                                                      
      DO 1 K=1,KMX                                                      
      DENCOL=RHO(K)*SHT(K)                                              
      X=((DENCOL/4.E-6)**0.606)/ALP                                     
      FY=3.2333*X**2.56588*EXP(-2.2541*X**0.7297198)+1.106907*X**1.71349
     1*EXP(-1.8835444*X**0.86472135)                                    
      QTI(K)=FLUXAR*ALP*FY/(DELTE*SHT(K))                               
      DENOM=0.94*XNN2(K)+XNO2(K)+0.55*XNO(K)                            
      ETAN2=0.94*XNN2(K)*QTI(K)/DENOM                                   
      QIA(1,K)=0.76*ETAN2                                               
      QIA(5,K)=0.24*ETAN2                                               
      ETAO2=1.07*XNO2(K)*ETAN2/XNN2(K)                                  
      QIA(2,K)= 0.67*ETAO2                                              
      ETAO=0.59*XNO(K)*ETAN2/XNN2(K)                                    
      QIA(3,K)=ETAO+0.33*ETAO2                                          
      QIA(4,K)=0.                                                       
  1   CONTINUE                                                          
      RETURN                                                            
      END                                                               
